# Generated by Django 3.0.5 on 2022-08-15 11:58

from django.db import migrations, models


def create_events_permissions(apps, schema_editor):
    Permission = apps.get_model("auth", "Permission")
    ContentType = apps.get_model("contenttypes", "ContentType")
    Group = apps.get_model("auth", "Group")
    content_type = ContentType.objects.get(model='permission')
    audience_rw, _ = Permission.objects.get_or_create(
        name='Events management',
        codename='events-audience-Read&Write',
        content_type_id=content_type,
        is_default=False
    )
    event_template_r, _ = Permission.objects.get_or_create(
        name='Events management',
        codename='events-template-Read',
        content_type_id=content_type,
        is_default=False
    )
    event_template_rw, _ = Permission.objects.get_or_create(
        name='Events management',
        codename='events-template-Read&Write',
        content_type_id=content_type,
        is_default=False
    )
    event_instance_rw, _ = Permission.objects.get_or_create(
        name='Events management',
        codename='events-instance-Read&Write',
        content_type_id=content_type,
        is_default=False
    )
    tenant_groups = Group.object.filter(name='TenantAdmin')
    organization_groups = Group.object.filter(name='OrganizationAdmin')
    permissions_to_add = []
    for group in tenant_groups:
        permissions_to_add.append(Group.permissions.through(group=group, permission=audience_rw))
        permissions_to_add.append(Group.permissions.through(group=group, permission=event_template_rw))
        permissions_to_add.append(Group.permissions.through(group=group, permission=event_instance_rw))
    for group in organization_groups:
        permissions_to_add.append(Group.permissions.through(group=group, permission=audience_rw))
        permissions_to_add.append(Group.permissions.through(group=group, permission=event_template_r))
        permissions_to_add.append(Group.permissions.through(group=group, permission=event_instance_rw))
    Group.permissions.through.objects.bulk_insert(permissions_to_add)


class Migration(migrations.Migration):
    dependencies = [
        ('django_rds_iam_auth', '0058_api_user_rls'),
    ]

    operations = [
        migrations.RunPython(create_events_permissions),
    ]
